package io.gitlab.jfronny.inceptum.gtk.menu;

import org.gtk.gio.SimpleAction;
import org.gtk.glib.Variant;

public class ToggleItem extends MenuItem {
    public ToggleItem(SimpleAction action) {
        super(action);
    }

    public boolean getState() {
        return action.getState().getBoolean();
    }

    public void setState(boolean state) {
        action.state = Variant.newBoolean(state);
    }

    public boolean toggle() {
        boolean toggled = !getState();
        setState(toggled);
        return toggled;
    }
}
