package io.gitlab.jfronny.inceptum.gtk.callback;

import io.github.jwharm.javagi.CallbackGenerator;
import io.github.jwharm.javagi.Interop;
import org.jetbrains.annotations.ApiStatus;

import java.lang.foreign.FunctionDescriptor;
import java.lang.foreign.Linker;
import java.lang.foreign.MemoryAddress;
import java.lang.invoke.MethodHandle;
import java.lang.invoke.MethodHandles;

public interface GetItemTypeCallback {
    long upcall(MemoryAddress address);

    @ApiStatus.Internal
    FunctionDescriptor DESCRIPTOR = FunctionDescriptor.of(Interop.valueLayout.C_LONG, Interop.valueLayout.ADDRESS);
    @ApiStatus.Internal
    MethodHandle HANDLE = CallbackGenerator.getHandle(MethodHandles.lookup(), GetItemTypeCallback.class, DESCRIPTOR);

    default MemoryAddress toCallback() {
        return Linker.nativeLinker().upcallStub(HANDLE.bindTo(this), DESCRIPTOR, Interop.getScope()).address();
    }
}
