package io.gitlab.jfronny.inceptum.gtk.menu;

import org.gtk.gio.SimpleAction;

public abstract class MenuItem {
    protected final SimpleAction action;

    public MenuItem(SimpleAction action) {
        this.action = action;
    }

    public boolean getEnabled() {
        return action.getEnabled();
    }

    public void setEnabled(boolean enabled) {
        action.enabled = enabled;
    }
}
